public static class UpdateTimingSyntheticTaskRequest.UpdateTimingSyntheticTaskRequestMonitorConfApiHTTPRequestBody
extends com.aliyun.tea.TeaModel
| 限定符和类型 | 字段和说明 |
|---|---|
String |
content
The content of the request body.
|
String |
type
The type of the request body.
|
| 构造器和说明 |
|---|
UpdateTimingSyntheticTaskRequestMonitorConfApiHTTPRequestBody() |
@NameInMap(value="Content") public String content
The content of the request body. Format: JSON string. The parameter is required if the type parameter is set to text/plain, application/json, application/xml, or text/html. Format: JSON string.
example:{ "key1": "value1", "key2": "value2" }
@NameInMap(value="Type") public String type
The type of the request body. Valid values: text/plain, application/json, application/x-www-form-urlencoded, multipart/form-data, application/xml, and text/html.
example:application/json
public UpdateTimingSyntheticTaskRequestMonitorConfApiHTTPRequestBody()
public static UpdateTimingSyntheticTaskRequest.UpdateTimingSyntheticTaskRequestMonitorConfApiHTTPRequestBody build(Map<String,?> map) throws Exception
Exceptionpublic UpdateTimingSyntheticTaskRequest.UpdateTimingSyntheticTaskRequestMonitorConfApiHTTPRequestBody setContent(String content)
public String getContent()
public UpdateTimingSyntheticTaskRequest.UpdateTimingSyntheticTaskRequestMonitorConfApiHTTPRequestBody setType(String type)
public String getType()
Copyright © 2024. All rights reserved.